This package has been deprecated

Author message:

Package no longer supported. Contact Support at https://www.npmjs.com/support for more info.

@programic/eslint-config-vue

8.0.0 • Public • Published

@programic/eslint-config-vue

npm version

This package provides Programic's EcmaScript + Vue 2 .eslintrc as an extensible shared config.

Usage

Our default export contains all of our EcmaScript and Vue 2 rules.

  1. Install @programic/eslint-config-vue as a dev dependency in your project with npm or yarn:
npm install @programic/eslint-config-vue --save-dev
yarn add @programic/eslint-config-vue --dev
  1. Install the correct versions of each peer dependency, which are listed by the command:
npm info "@programic/eslint-config-vue@latest" peerDependencies
Want to see shortcuts on how to do this? Click here!

If using npm 5+, use this shortcut

npx install-peerdeps --dev @programic/eslint-config-vue

If using yarn, you can also use the shortcut described above if you have npm 5+ installed on your machine, as the command will detect that you are using yarn and will act accordingly. Otherwise, run npm info "@programic/eslint-config-vue@latest" peerDependencies to list the peer dependencies and versions, then run yarn add --dev <dependency>@<version> for each listed peer dependency.

If using npm < 5, Linux/OSX users can run

(
  export PKG=@programic/eslint-config-vue;
  npm info "$PKG@latest" peerDependencies --json | command sed 's/[\{\},]//g ; s/: /@/g' | xargs npm install --save-dev "$PKG@latest"
)

Which produces and runs a command like:

  npm install --save-dev @programic/eslint-config-vue eslint@^#.#.# eslint-plugin-import@^#.#.#

If using npm < 5, Windows users can either install all the peer dependencies manually, or use the install-peerdeps cli tool.

npm install -g install-peerdeps
install-peerdeps --dev @programic/eslint-config-vue

The cli will produce and run a command like:

npm install --save-dev @programic/eslint-config-vue eslint@^#.#.# eslint-plugin-import@^#.#.#
  1. Add "@programic/eslint-config-vue" to extends in your .eslintrc.

  2. Add a lint script to your package.json: eslint . --ext .js,.jsx,.vue so you can run npm run lint or yarn lint. The . can be replaced with the path to your files. Replace the lint script if it already exists.

Package Sidebar

Install

npm i @programic/eslint-config-vue

Weekly Downloads

17

Version

8.0.0

License

MIT

Unpacked Size

9.16 kB

Total Files

11

Last publish

Collaborators

  • rbongers
  • remcowolvenne
  • thimonwentink